Booklinker.API

<back to all web services

PostGroupRequest

The following routes are available for this service:
POST/v1/groups
PostGroupRequest Parameters:
NameParameterData TypeRequiredDescription
UserAuthIdbodyuintYes
PostGroupResponse Parameters:
NameParameterData TypeRequiredDescription
GroupIdformlongNo
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /v1/groups HTTP/1.1 
Host: api.booklinker.com 
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length

{
	userAuthId: 0
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	groupId: 0,
	responseStatus: 
	{
		errorCode: String,
		message: String,
		stackTrace: String,
		errors: 
		[
			{
				errorCode: String,
				fieldName: String,
				message: String,
				meta: 
				{
					String: String
				}
			}
		],
		meta: 
		{
			String: String
		}
	}
}